Summary: A remote mail retrieval and forwarding utility.
Name: fetchmail
Version: 6.2.5.5
Release: 3tr
License: GPL
Group: Trustix Official
Source: http://www.catb.org/~esr/fetchmail/fetchmail-%{version}.tar.bz2
Patch0: fetchmail-6.2.5-CVE-2006-5867.patch
Patch1: fetchmail-CVE-2007-4565.patch
BuildRoot: %{_tmppath}/%{name}-root
 
%description
Fetchmail is a remote mail retrieval and forwarding utility intended
for use over on-demand TCP/IP links, like SLIP or PPP connections.
Fetchmail supports every remote-mail protocol currently in use on the
Internet (POP2, POP3, RPOP, APOP, KPOP, all IMAPs, ESMTP ETRN, IPv6,
and IPSEC) for retrieval. Then Fetchmail forwards the mail through
SMTP so you can read it through your favorite mail client.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%configure  --bindir=%{_bindir} \
            --mandir=%{_mandir} \
 	    --enable-fallback=procmail \
	    --disable-nls \
	    --with-ssl 
	    				 
make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
%makeinstall mandir=$RPM_BUILD_ROOT%{_mandir}/man1 

# Tkinter no more exists. And these go with it.
rm -f %{_bindir}/fetchmailconf
rm -f %{_mandir}/man1/fetchmailconf.1*

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc FEATURES README NEWS NOTES *.html FAQ COPYING INSTALL
%{_bindir}/fetchmail
%{_mandir}/man1/fetchmail.1*

 
%changelog
* Thu Sep 20 2007 Nived Gopalan <nived at trustix dot org> 6.2.5.5-3tr
- SECURITY Fix: An error exists in fetchmail which allows
  context-dependent attackers to cause a denial of service (NULL
  dereference and application crash) by refusing certain warning
  messages that are sent over SMTP.

  The Common Vulnerabilities and Exposures project (cve.mitre.org)
  has assigned the names CVE-2007-4565 to this issue.

* Thu Feb 09 2007 Bipin S <bipin at trustix dot org> 6.2.5.5-2tr
- SECURITY Fix: Fetchmail does not properly enforce TLS and may
  transmit cleartext passwords over unsecured links if certain
  circumstances occur, which allows remote attackers to obtain
  sensitive information via man-in-the-middle (MITM) attacks.

  The Common Vulnerabilities and Exposures project (cve.mitre.org)
  has assigned the name CVE-2006-5867 to this issue.

* Thu Jan 05 2006 Nived Gopalan <nived at trustix dot org> 6.2.5.5-1tr
- New Upstream.
- SECURITY Fix: A vulnerability has been reported in Fetchmail caused due
  to a null pointer dereferencing error when handling a message without
  email headers. This can be exploited to crash Fetchmail when the
  upstream mail server sends a message without headers.

  The Common Vulnerabilities and Exposures project (cve.mitre.org) has
  assigned the name CVE-2005-4348 to this issue.

* Mon Jul 25 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 6.2.5.2-1tr
- New Upstream
- Security Fix: Remote code injection vulnerability in fetchmail
- The POP3 code that deals with UIDs (from the UIDL) reads the responses returned
  by the POP3 server into fixed-size buffers allocated on the stack, without
  limiting the input length to the buffer size. A compromised or malicious POP3
  server can thus overrun fetchmail's stack.  This affects POP3 and all of its
  variants, for instance but not limited to APOP

  The Common Vulnerabilities and Exposures project (cve.mitre.org) has
  assigned the name CAN-2005-2335 to this issue.

* Mon May 30 2005 Bipin <bipin at comodo dot com> 6.2.5-1tr
- New entry into TSL-2.2 official

* Fri May 27 2005 Ajith Thampi <ajith at comodo dot com> 6.2.5-2ta
- Removed the fetchmailconf binary as it is no more needed.
- Added ssl support and fallback to procmail
- placing man pages into mandir as expected
		
* Wed Apr 13 2005 Thushara Gopalakrishnan <thushara at comodo dot com> 6.2.5-1th
- Initial release
